Subject: Re: linuxppc trees, what is going on ?

From: Tom Rini <[email-masked]>
Date: Mon, 19 Jan 2004 09:48:50 -0700

On Mon, Jan 19, 2004 at 05:38:57PM +0100, Sven Luther wrote:
> On Mon, Jan 19, 2004 at 08:58:01AM -0700, Tom Rini wrote:
> > On Mon, Jan 19, 2004 at 04:47:58PM +0100, Sven Luther wrote:
> >
> > > On Mon, Jan 19, 2004 at 08:29:54AM -0700, Tom Rini wrote:
> > > > > I did pull the linux-2.4 tree, and exported the v2.4.24 tag. I did the
> > > > > same for the linuxppc-2.4 tree, and diffed the two exported trees. Both
> > > > > were exactly the same.
> > > >
> > > > That is correct. A tag has the same values (set of ChangeSets)
> > > > regardless of the tree (simpilication).
> > >
> > > Ok, how are you then supposed to make a diff of the powerpc relative
> > > changes ? You use the changeset just above the merge or something ?
> >
> > The process I described about (that you snipped) is how you find the
> > ChangeSet of when 'linux-2.4' at a certain point is merged into
> > 'linuxppc-2.4', and that ChangeSet will point to something like 2.4.24 +
> > powerpc changes.
>
> Yeah, but i am not sure i fully understand. In this case, bk changes in
> linuxppc-2.4 yields :
>
> [email-masked], 2004-01-04 19:34:56-02:00, [email-masked]
>   Import 2.4.24 final tree
>
> [email-masked], 2004-01-04 19:32:02-02:00, [email-masked]
>   Cset exclude: [email-masked]|ChangeSet|20031204183256|31723
>
> [email-masked], 2004-01-04 19:31:23-02:00, [email-masked]
>   Cset exclude: [email-masked]|ChangeSet|20031213132008|01226
>
> [email-masked], 2004-01-04 19:31:05-02:00, [email-masked]
>   Cset exclude: [email-masked]|ChangeSet|20031210203050|36304
>
> [email-masked], 2004-01-04 19:28:46-02:00, [email-masked]
>   Cset exclude: [email-masked]|ChangeSet|20031218183339|13120
>
> [email-masked], 2004-01-04 17:53:50-02:00, [email-masked]
>   Change EXTRAVERSION to 2.4.24-rc1
>   TAG: v2.4.24
>   TAG: v2.4.24-rc1
>
> None of them seem related to when the linux-2.4 changeset got merged
> into linuxppc-2.4.

You also get:
[email-masked], 2004-01-06 12:37:52-07:00, [email-masked]
  Merge in recent changes by hand.

Which is as close to 2.4.24 + powerpc changes as you're going to get,
automatically.  You can use 'bk export -tpatch' to back out the changes
which follow that you don't want.

--
Tom Rini
http://gate.crashing.org/~trini/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/